GETSTAT
	DISPLAY $
	DI
	LD	BC,(#5C78)
	PUSH	BC
	LD	A,#10
	CALL	PAGER
	LD	HL,10082 ; (#2762)
	EXX
	LD	IY,#5C3A
	LD	A,2
	CALL 5633	;(#1601)
	POP	BC
	CALL 11563	;(#2D2B)
	CALL 11747	; (#2DE3)
	
	LD	HL,#5800
	LD	DE,#5801
	LD	BC,767
	LD	(HL),7*8
	LDIR

1	LD	A,R
	AND	7
	OUT	(#FE),A
	JR	1b
	
GETSTAT_ON
	LD	(HL),#C3	;jp
	INC	HL
	LD	(HL),low GETSTAT
	INC	HL
	LD	(HL),high GETSTAT
	RET